Loading...
Searching...
No Matches
AquiferVectors Class Reference

## Public Types

template<typename T>
using | Window

## Public Member Functions

| AquiferVectors (const std::vector< int > &intehead, std::shared_ptr< Opm::EclIO::RestartFileView > rst_view)
bool | hasDefinedValues () const
bool | hasDefinedNumericAquiferValues () const
std::size_t | maxAnalyticAquiferID () const
std::size_t | numRecordsForNumericAquifers () const
Window< int > | iaaq (const std::size_t aquiferID) const
Window< float > | saaq (const std::size_t aquiferID) const
Window< double > | xaaq (const std::size_t aquiferID) const
Window< int > | iaqn (const std::size_t recordID) const
Window< double > | raqn (const std::size_t recordID) const

## Member Typedef Documentation

## Window

template<typename T>

using AquiferVectors::Window

Initial value:
boost::iterator_range<
typename std::vector<T>::const_iterator
>

The documentation for this class was generated from the following file:

- opm/output/eclipse/LoadRestart.cpp